5

I'm trying to setup dependencies to write and test plutus contracts, but I'm worried that the dependencies may not be compatible with the M1 chip.

I have been following these instructions https://www.reddit.com/r/cardano/comments/mmzut6/macos_plutus_playground_build_instructions/

and I am recieving the same error

enter image description here

1 Answer 1

2

I'm running an M1 Pro with Monterey and have everything up and running correctly, so it's definitely possible!

This github guide is very useful: Cardano Plutus apps install.

The new M1's use AMD architecture, which is why it's erroring out stating "aarch64-darwin is missing in artifact.nix".

What's most likely missing is adding these two lines to your nix.conf as instructed in the link above

system = x86_64-darwin
extra-platforms = x86_64-darwin aarch64-darwin

This instructs Nix to default to installing packages built for the x86_64 architecture instead of the M1's native aarch64 (i.e. ARM).

Perhaps in the future this won't be necessary, but for now lots of packages aren't built for ARM.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.